﻿using Kingdee.BOS.App.Data;
using Kingdee.BOS.Core;
using Kingdee.BOS.Core.Bill.PlugIn;
using Kingdee.BOS.Core.DynamicForm.PlugIn.Args;
using Kingdee.BOS.Core.List.PlugIn.Args;
using Kingdee.BOS.Core.Util;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TenderItem.Induct
{
    /// <summary>
    /// 【单据插件】填充中标项目分类
    /// </summary>
    [Description("【单据插件】填充中标项目分类"), HotUpdate]
    public class FillComboFieldPlugIn: AbstractBillPlugIn
    {
        public override void DataChanged(DataChangedEventArgs e)
        {
            base.DataChanged(e);
            //this.View.ShowMessage("触发");
            if (e.Field.Key == "F_CYG_BidSerial")
            {
                string newValue = Convert.ToString(e.NewValue);

                string sql1 = string.Format(@"/*dialect*/
                Select
                FBIDPROJECTTYPE
                From
                MBBA_t_Cust100005
                Where FTENDER = '{0}'", newValue);

                var NameList = DBUtils.ExecuteDynamicObject(Context, sql1);
                string Name = "";
                if (NameList.Count != 0)
                {
                    Name = NameList[0]["FBIDPROJECTTYPE"].ToString();
                }

                string sql2 = string.Format(@"/*dialect*/
                SELECT 
                A.FMASTERID
                FROM 
                T_BAS_ASSISTANTDATAENTRY A
                JOIN
                T_BAS_ASSISTANTDATAENTRY_L B
                on A.FENTRYID = B.FENTRYID
                Where B.FLOCALEID = 2052
                AND A.FID = '6716fb25f5fc9d'
                AND B.FDataValue = '{0}'", Name);

                var NumberList = DBUtils.ExecuteDynamicObject(Context, sql2);
                var Number = "";
                if (NumberList.Count != 0) 
                {
                    Number = NumberList[0]["FMASTERID"].ToString();
                }

                this.View.Model.SetValue("F_CYG_WinningProject", Number);
            }
        }
    }
}
